# 管理说明书H5项目 wanda-bm-guide-h5

## 启动项目

``` 
yarn install 或  npm i 
```

### 启动开发环境

``` 
yarn serve 或 npm run serve 
```

### 打包

``` shell
1. yarn build_aly  或 npm run build_aly     # 阿里云环境
2. yarn build_test 或 npm run build_test    # 测试环境
3. yarn build_prod 或 npm run build_prod    # 生产环境
```

### 分析打包

``` shell
yarn build --report 或 npm run build --report 
```

### 目录结构

``` shell
├── README.md           说明文件
├── babel.config.js     babel配置文件
├── package.json        包描述文件
├── postcss.config.js   postcss配置文件
├── public              项目入口
│   ├── favicon.ico
│   └── index.html
├── node_modules        npm依赖包
├── src                 
│   ├── App.vue         
│   ├── api             接口
│   ├── assets          静态资源
│   │   ├── fonts       字体
│   │   └── images      图片
│   ├── components      组件
│   ├── directives      自定义指令
│   ├── lib             lib包, 平面图文件
│   ├── main.ts        
│   ├── router          路由
│   ├── shims-tsx.d.ts
│   ├── shims-vue.d.ts
│   ├── store           store存储
│   ├── style           样式文件
│   ├── utils           实用文件
│   └── views           页面
├── .env.development    环境变量--开发环境
├── .env.production     环境变量--生成环境
├── .env.test           环境变量--测试环境
├── tsconfig.json       ts配置文件
├── vue.config.js       vue脚手架配置文件
└── wandaBmGuideH5      打包后目录
```

> 本项目使用 vue-cli4+ 生成

### UI组件

1. UI组件使用Vant, 按需加载

### 数据存储

1. 主要使用vuex,
2. 涉及到平面图, lib目录下文件,使用eventBus

### 路由

1. 使用history模式
2. 路由配置元信息:

``` js
 meta: {

     keepAlive: true, //是否保持alive
     showTabbar: true, //是否显示底部tabbar

 }
```
