/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

// @ts-nocheck
import { Anchor } from "./Anchor";
import { SGraphElementType } from "./../enums/SGraphElementType";
import { Point } from "@saga-web/big/lib/types/Point";
import { Size } from "@saga-web/big/lib/types/Size";
import { SPoint } from '@saga-web/draw/lib';

/**
 * 图例节点接口
 *
 * @author  张宇
 */
export interface Legend {
    /** ID */
    ID: string;
    /** 名称  */
    Name: string;
    /** 返回工程信息化对象 ID 列表 */
    AttachObjectIds?: string[];
    /** 图标，区域类型  */
    GraphElementType: string;
    /** 对应的图例ID  */
    GraphElementId: string;
    /** 图例数量  */
    Num?: number;
    /** 位置  */
    Pos: Point;
    /** item类型 */
    Type: string
    /** 缩放  */
    Scale?: Point;
    /** 旋转  */
    Rolate?: Point;
    /** 大小  */
    Size?: Size;
    /** 锚点List  */
    AnchorList?: Anchor[];
    /** 轮廓线  */
    OutLine?: Point[] | SPoint[];
    /** 由应用自己定义  */
    Properties?: any;
     /** zone 区分防火分区和石材铺装  */
    SubType?:string
} // Interface Legend
