/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

// @ts-nocheck

import { SMarkerType } from "@saga-web/big/lib/enums/SMarkerType";
import { Point } from "@saga-web/big/lib/types/Point";
import { Size } from "@saga-web/big/lib/types/Size";

/**
 * 标识对象接口
 *
 * @author  张宇
 */
export interface Marker {
    /** ID */
    ID: string;
    /** 名称  */
    Name: string;
    /** 图标（Image），线类型(Line) */
    Type: string;
    /** 位置  */
    Pos: Point;
    /** 缩放  */
    Scale?: Point;
    /** 旋转  */
    Rolate?: Point;
    /** 大小  */
    Size?: Size;
    /** 由应用自己定义  */
    Properties?: any;
} // Interface Marker
