/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */
// @ts-nocheck


import { SRelationDir } from "@saga-web/big/lib/enums/SRelationDir";
import { SLineType } from "@saga-web/big/lib/enums/SLineType";
import { Point } from "@saga-web/big/lib/types/Point";

/**
 * 管线对象关系接口
 *
 * @author  张宇
 */
export interface Relation {
    /** ID */
    ID: string;
    /** 名称 */
    Name: string;
    /** 对应的图例ID */
    GraphElementId: string;
    /** 关联节点1_id */
    Node1ID?: string;
    /** 关联节点2_id */
    Node2ID?: string;
    /** 关联锚点1_id  */
    Anchor1ID?: string;
    /** 关联锚点2_id */
    Anchor2ID?: string;
    /** 方向（0：无向，1：节点1到节点2，2：节点2到节点1） */
    Dir?: SRelationDir;
    /** 线类型（0：直线，1：水平/垂直线，2：曲线） */
    LineType: string;
    /** 线的顶点坐标 */
    PointList: Point[];
    /** 线的绘图样式 */
    Properties?: any;
} // Interface Relation
