/**
 * 修改说明
 * @author yunxing
 * @date 2020年09月01日
 * @description 八大系统下,主要设备维保事项,主要设备维修事项,专维及其他事项 param属性下,新增 wznw,apply字段,
 *              供 src/views/equipment/eqDialog.vue 页面 title右侧icon跳转使用
 * @param { string } wznw   区分各系统内外(如: 慧云机房内,慧云机房外) wznw为0,-1时,不上传改字段
 * @param { string } apply  事项类型, 含: 维修维保,专维及其他
 * @param { string } difference 区分给排水 取值范围：给水；排水 给排水专用字段
 *
 */
const system = [
    {
        name: '供电系统',
        id: 1,
        categoryId: 'GDXT',
        smsxt: '1001',
        icon: require('@/assets/imgs/cdgd.png'),
        icon1: require('@/assets/imgs/cdgd2.png'),
        children: [
            {
                label: '系统原理图',
                children: [],
                id: 'GDYL',
                param: { tab_code: '1592', type_code: '2010' },
            },
            {
                label: '主要设备清单',
                children: [],
                id: 'GDQD',
                param: { tab_code: 'gd01' },
            },
            {
                label: '楼层电井(间)控制商铺范围清单',
                id: 'GJSP',
                children: [],
                param: { tab_code: '1592' },
            },
            {
                label: '主要设备维保事项',
                id: 'GDWB',
                children: [
                    {
                        label: '配电室内重要维保',
                        id: 'GDWB1',
                        param: { tab_code: '1592', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '配电室外重要维保',
                        id: 'GDWB2',
                        param: { tab_code: '1593', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', diff: 'ourct2', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '主要设备维修事项',
                id: 'GDWX',
                children: [
                    {
                        label: '配电室内重要维修',
                        id: 'GDWX1',
                        param: { tab_code: '1592', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '配电室外重要维修',
                        id: 'GDWX2',
                        param: { tab_code: '1593', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', diff: 'rc', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'GDZW',
                children: [
                    {
                        label: '专项维修',
                        id: 'GDZW',
                        param: { tab_code: '1592', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'GDQT',
                        param: { tab_code: '1593', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                children: [],
                id: 'GDTZ',
                param: { tab_code: 'rd01' },
            },
        ],
    },
    {
        name: '暖通系统',
        smsxt: '1002',
        id: 2,
        categoryId: 'NTXT',
        icon: require('@/assets/imgs/cdnt.png'),
        icon1: require('@/assets/imgs/cdnt2.png'),
        children: [
            {
                label: '系统原理图',
                id: 'NTYL',
                children: [
                    {
                        label: '空调系统原理图',
                        id: 'NTYL1',
                        param: { tab_code: '1572', type_code: '2011' },
                    },
                    {
                        label: '采暖系统原理图',
                        id: 'NTYL2',
                        param: { tab_code: '1512', type_code: '2012' },
                    },
                    {
                        label: '分水器支路分布明细',
                        id: 'NTYL3',
                        param: { tab_code: '1502', type_code: '2013' },
                    },
                    {
                        label: '分水器支路分布图',
                        id: 'NTYL4',
                        param: { tab_code: '1542', type_code: 'FBT1' },
                    },
                ],
            },
            {
                label: '主要设备清单',
                children: [
                    {
                        label: '冷热源机房内',
                        id: 'NTQD1',
                        param: { tab_code: 'nt01' },
                    },
                    {
                        label: '楼层末端',
                        id: 'NTQD2',
                        param: { tab_code: 'nt02' },
                    },
                ],
                id: 'NTQD',
            },
            {
                label: '主要设备维保事项',
                children: [
                    {
                        label: '冷源机房内重要维保',
                        id: 'NTWB1',
                        param: { tab_code: '1592', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '冷源机房外重要维保',
                        id: 'NTWB2',
                        param: { tab_code: '1593', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', diff: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
                id: 'NTWB',
            },
            {
                label: '主要设备维修事项',
                children: [
                    {
                        label: '冷源机房内重要维修',
                        id: 'NTWX1',
                        param: { tab_code: '1592', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '冷源机房外重要维修',
                        id: 'NTWX2',
                        param: { tab_code: '1593', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', diff: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
                id: 'NTWX',
            },
            {
                label: '专维及其他事项',
                children: [
                    {
                        label: '专项维修',
                        id: 'NTZW',
                        param: { tab_code: '1592', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'NTQT',
                        param: { tab_code: '1593', wznw: '0', apply: '专维及其它' },
                    },
                ],
                id: 'NTZW',
            },
            {
                label: '查看图纸',
                children: [],
                param: { tab_code: 'rd01' },
                id: 'NTTZ',
            },
        ],
    },
    {
        name: '消防系统',
        smsxt: '1003',
        categoryId: 'XFXT',
        icon: require('@/assets/imgs/cdxf.png'),
        icon1: require('@/assets/imgs/cdxf2.png'),
        id: 3,
        children: [
            {
                label: '系统原理图',
                children: [
                    {
                        label: '消防电系统原理示意图',
                        id: 'XFYL1',
                        param: { tab_code: '1572', type_code: '2014' },
                    },
                    {
                        label: '消防喷淋系统示意图',
                        id: 'XFYL2',
                        param: { tab_code: '1552', type_code: '2015' },
                    },
                    {
                        label: '消防窗喷系统示意图',
                        id: 'XFYL3',
                        param: { tab_code: '1542', type_code: '2016' },
                    },
                    {
                        label: '消防栓系统示意图',
                        id: 'XFYL4',
                        param: { tab_code: '1545', type_code: '2017' },
                    },
                    {
                        label: '消防泵房引出管路分布图',
                        id: 'XFYL5',
                        param: { type_code: 'FBT2' },
                    },
                ],
                id: 'XFYL',
            },
            {
                label: '主要设备清单',
                children: [],
                id: 'XFQD',
                param: { tab_code: 'xf01' },
            },
            {
                label: '主要设备维保事项',
                id: 'XFWB',
                children: [
                    {
                        label: '中控室/消防泵房内重要维保',
                        id: 'XFWB1',
                        param: { tab_code: '1573', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '中控室/消防泵房外重要维保',
                        id: 'XFWB2',
                        param: { tab_code: '1572', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', diff: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '主要设备维修事项',
                id: 'XFWX',
                children: [
                    {
                        label: '中控室/消防泵房内重要维修',
                        id: 'XFWX1',
                        param: { tab_code: '1573', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '中控室/消防泵房外重要维修',
                        id: 'XFWX2',
                        param: { tab_code: '1572', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', diff: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'XFZW',
                children: [
                    {
                        label: '专项维修',
                        id: 'XFZW',
                        param: { tab_code: '1576', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'XFQT',
                        param: { tab_code: '1572', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                children: [],
                param: { tab_code: 'rd01' },
                id: 'XFTZ',
            },
        ],
    },
    {
        name: '弱电系统',
        smsxt: '1004',
        id: '1004',
        categoryId: 'RDXT',
        icon: require('@/assets/imgs/cdrd.png'),
        icon1: require('@/assets/imgs/cdrd2.png'),
        children: [
            {
                label: '系统原理图',
                children: [
                    {
                        label: '门禁管理系统原理图',
                        id: 'RDYL2',
                        param: { tab_code: 'rd01', type_code: '2019' },
                    },
                    {
                        label: '视频监控系统原理图',
                        id: 'RDYL1',
                        param: { tab_code: '1572', type_code: '2018' },
                    },
                    {
                        label: 'BA楼宇智能化系统原理图',
                        id: 'RDYL3',
                        param: { tab_code: '1574', type_code: '2020' },
                    },
                ],
                id: 'RDYL',
            },
            {
                label: '主要设备清单',
                id: 'RDQD',
                children: [
                    {
                        label: '门禁管理',
                        id: 'RDQD2',
                        param: { tab_code: 'rd01' },
                    },
                    {
                        label: '视频监控',
                        id: 'RDQD3',
                        param: { tab_code: 'rd02' },
                    },
                    {
                        label: 'BA楼宇智能化',
                        id: 'RDQD1',
                        param: { tab_code: 'rd03' },
                    },
                ],
            },
            {
                label: '主要设备维保事项',
                id: 'RDWB',
                children: [
                    {
                        label: '慧云机房内重要维保',
                        id: 'RDWB1',
                        param: { tab_code: '1592', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '慧云机房外重要维保',
                        id: 'RDWB2',
                        param: { tab_code: '1593', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', diff: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '主要设备维修事项',
                id: 'RDWX',
                children: [
                    {
                        label: '慧云机房内重要维修',
                        id: 'RDWX1',
                        param: { tab_code: '1592', diff: 'in', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '慧云机房外重要维修',
                        id: 'RDWX2',
                        param: { tab_code: '1593', diff: 'out', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', diff: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'RDZW',
                children: [
                    {
                        label: '专项维修',
                        id: 'RDZW',
                        param: { tab_code: '1592', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'RDQT',
                        param: { tab_code: '1593', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                id: 'RDTZ',
                param: { tab_code: 'rd01' },
                children: [],
            },
        ],
    },
    {
        name: '给排水',
        smsxt: '1005',
        categoryId: 'JPSXT',
        id: 5,
        icon: require('@/assets/imgs/cdgps.png'),
        icon1: require('@/assets/imgs/cdgps2.png'),
        children: [
            {
                label: '系统原理图',
                id: 'GSYL',
                children: [
                    {
                        label: '给水系统原理示意图',
                        id: 'GSYL1',
                        param: { tab_code: '1572', type_code: '2021', diff: '给水' },
                    },
                    {
                        label: '排水系统原理示意图',
                        id: 'GSYL2',
                        param: { tab_code: '1542', type_code: '2022', diff: '排水' },
                    },
                ],
            },
            {
                label: '主要设备清单',
                id: 'GSQD',
                children: [],
                param: { tab_code: 'gps01' },
            },
            {
                label: '主要设备维保事项',
                id: 'GSWB',
                children: [
                    {
                        label: '给水系统重要维保',
                        id: 'GSWB1',
                        param: { tab_code: 'gps01', diff: 'gs', difference: '给水', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '排水系统重要维保',
                        id: 'GSWB2',
                        param: { tab_code: 'gps02', diff: 'ps', difference: '排水', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', diff: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '主要设备维修事项',
                id: 'GSWX',
                children: [
                    {
                        label: '给水系统重要维修',
                        id: 'GSWX1',
                        param: { tab_code: '1592', diff: 'gs', difference: '给水', wznw: '内', apply: '维修维保' },
                    },
                    {
                        label: '排水系统重要维修',
                        id: 'GSWX2',
                        param: { tab_code: '1593', diff: 'ps', difference: '排水', wznw: '外', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', diff: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'GSZW',
                children: [
                    {
                        label: '给水系统专项维修',
                        id: 'GSZW1',
                        param: { tab_code: '1592', difference: '给水', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '排水系统专项维修',
                        id: 'GSZW2',
                        param: { tab_code: '1593', difference: '排水', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'GSQT',
                        param: { tab_code: '1594', difference: '', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                id: 'GSTZ',
                param: { tab_code: 'rd01' },
                children: [],
            },
        ],
    },
    {
        name: '电梯系统',
        smsxt: '1006',
        id: 6,
        categoryId: 'DTXT',
        icon: require('@/assets/imgs/cddt.png'),
        icon1: require('@/assets/imgs/cddt2.png'),
        children: [
            {
                label: '系统原理图',
                children: [
                    {
                        label: '扶梯原理图',
                        id: 'DTYL1',
                        param: { tab_code: '1572', type_code: '2023' },
                    },
                    {
                        label: '直梯原理图',
                        id: 'DTYL2',
                        param: { tab_code: '1072', type_code: '2024' },
                    },
                ],
                id: 'DTYL',
            },
            {
                label: '主要设备清单',
                id: 'DTQD',
                children: [],
                param: { tab_code: 'dt01' },
            },
            {
                label: '主要设备维保事项',
                id: 'DTWB',
                children: [
                    {
                        label: '重要维保事项',
                        id: 'DTWB1',
                        param: { tab_code: 'dt01', wznw: '0', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '主要设备维修事项',
                id: 'DTWX',
                children: [
                    {
                        label: '重要维修事项',
                        id: 'DTWX1',
                        param: { tab_code: 'dt01', wznw: '0', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'DTZW',
                children: [
                    {
                        label: '专项维修',
                        id: 'DTZW',
                        param: { tab_code: 'dt01', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'DTQT',
                        param: { tab_code: 'dt02', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                id: 'DTTZ',
                param: { tab_code: 'rd01' },
                children: [],
            },
        ],
    },
    {
        name: '燃气系统',
        smsxt: '1007',
        categoryId: 'RQXT',
        id: 7,
        icon: require('@/assets/imgs/cdrq.png'),
        icon1: require('@/assets/imgs/cdrq2.png'),
        children: [
            {
                label: '系统原理图',
                children: [],
                id: 'RQYL',
                param: { tab_code: '234', type_code: '2025' },
            },
            {
                label: '主要设备清单',
                children: [],
                id: 'RQQD',
                param: { tab_code: 'rq01' },
            },
            {
                label: '主要设备维保事项',
                id: 'RQWB',
                children: [
                    {
                        label: '重要维保事项',
                        id: 'RQWB1',
                        param: { tab_code: '1592', wznw: '0', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '主要设备维修事项',
                id: 'RQWX',
                children: [
                    {
                        label: '重要维修事项',
                        id: 'RQWX1',
                        param: { tab_code: '1592', wznw: '0', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'RQZW',
                children: [
                    {
                        label: '专项维修',
                        id: 'RQZW',
                        param: { tab_code: '1592', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'RQQT',
                        param: { tab_code: '1593', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                id: 'RQTZ',
                param: { tab_code: 'rd01' },
                children: [],
            },
        ],
    },
    {
        name: '土建装饰',
        smsxt: '1008',
        categoryId: 'SCPZ',
        icon: require('@/assets/imgs/cdtj.png'),
        icon1: require('@/assets/imgs/cdtj2.png'),
        id: 8,
        children: [
            {
                label: '建筑立面图',
                id: 'TJYL',
                children: [
                    {
                        label: '北面外立面',
                        id: 'RQYL',
                        param: { tab_code: '2343', type_code: '2029' },
                    },
                    {
                        label: '西面外立面',
                        id: 'RQYL',
                        param: { tab_code: '2340', type_code: '2027' },
                    },
                    {
                        label: '南面外立面',
                        id: 'RQYL',
                        param: { tab_code: '2341', type_code: '2028' },
                    },
                    {
                        label: '东面外立面',
                        id: 'RQYL',
                        param: { tab_code: '2342', type_code: '2026' },
                    },
                ],
            },
            {
                label: '维保事项',
                id: 'TJWB',
                children: [
                    {
                        label: '重要维保事项',
                        id: 'TJWB1',
                        param: { tab_code: '1592', wznw: '0', apply: '维修维保' },
                    },
                    {
                        label: '日常维保事项',
                        id: 'RB',
                        param: { tab_code: 'rb', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '维修事项',
                id: 'TJWX',
                children: [
                    {
                        label: '重要维修事项',
                        id: 'TJWX1',
                        param: { tab_code: '1592', wznw: '0', apply: '维修维保' },
                    },
                    {
                        label: '日常维修事项',
                        id: 'RX',
                        param: { tab_code: 'rx', wznw: '-1', apply: '维修维保' },
                    },
                ],
            },
            {
                label: '专维及其他事项',
                id: 'TJZW',
                children: [
                    {
                        label: '专项维修',
                        id: 'TJZW',
                        param: { tab_code: '1592', wznw: '0', apply: '专维及其它' },
                    },
                    {
                        label: '其他事项',
                        id: 'TJQT',
                        param: { tab_code: '1593', wznw: '0', apply: '专维及其它' },
                    },
                ],
            },
            {
                label: '查看图纸',
                id: 'TJTZ',
                param: { tab_code: 'rd01' },
                children: [],
            },
        ],
    },
]
// 事项
const matter = [
    {
        icon: require('@/assets/imgs/zhsx.png'),
        icon1: require('@/assets/imgs/zhsx2.png'),
        name: '综合事项管理',
        id: '1',
        children: [
            { label: '综合记录事项', type: 1 },
            { label: '第三方检测事项', type: 2 },
        ],
    },
    {
        icon: require('@/assets/imgs/fuyfgl2.png'),
        icon1: require('@/assets/imgs/fuyfgl.png'),
        name: '辅助用房管理',
        id: '2',
        children: [
            { label: '广场辅助用房汇总统计表', type: 1 },
            { label: '广场辅助用房调改变更记录', type: 2 },
        ],
    },
]

export { system, matter }
